Get a group
Returns the details of a group on Mindtickle by group ID.
Prerequisites
- Authentication and setup: A valid access token.
- Create a group: The group must exist.
Endpoint
Section titled “Endpoint”GET /services/data/v2.0/mtobjects/Group/GROUP_IDBase URL: the standard REST host for your region. See Base URLs.
Headers: Authorization: Bearer ACCESS_TOKEN.
Path parameters
Section titled “Path parameters”| Parameter | Type | Required | Description |
|---|---|---|---|
GROUP_ID |
string | Required | Mindtickle ID of the group. |
Request
Section titled “Request”This endpoint has no request body.
Response
Section titled “Response”| Field | Type | Description |
|---|---|---|
requestId |
string or null | Request identifier. The response examples return null. |
responseCode |
integer | Special response codes from the server. |
responseType |
string | Type of response from the server. |
taskCompleted |
boolean | Completion flag for this request. This endpoint returns its result directly. |
group |
Group | Information on the group you have queried. |
group.name |
string | Name of the group. |
group.id |
string | Mindtickle ID of the group. |
Response example
Section titled “Response example”{ "requestId": null, "responseCode": 0, "responseType": "GROUP", "taskCompleted": true, "group": { "name": "APAC Sales", "id": "1234567890123456101" }}